Update a webhook
curl --request PUT \
--url https://api.cloudglue.dev/v1/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"endpoint": "<string>",
"subscribed_events": [],
"active": true
}
'import requests
url = "https://api.cloudglue.dev/v1/webhooks/{webhook_id}"
payload = {
"description": "<string>",
"endpoint": "<string>",
"subscribed_events": [],
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
endpoint: '<string>',
subscribed_events: [],
active: true
})
};
fetch('https://api.cloudglue.dev/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "webhook",
"created_at": 123,
"webhook_secret": "<string>",
"endpoint": "<string>",
"active": true,
"subscribed_events": [
"describe.job.processing"
],
"description": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Webhooks
Update Webhook
Update a webhook
PUT
/
webhooks
/
{webhook_id}
Update a webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the webhook to update
Body
application/json
Webhook update parameters
Description of the webhook
URL of the webhook endpoint
Events that the webhook is subscribed to
Webhook events that can be subscribed to
Available options:
describe.job.processing, describe.job.completed, describe.job.failed, extract.job.processing, extract.job.completed, extract.job.failed, file.job.processing, file.job.completed, file.job.failed, file.job.deleted, collection.file.job.processing, collection.file.job.completed, collection.file.job.failed, collection.file.job.deleted, segment.job.processing, segment.job.completed, segment.job.failed, find_moments.job.processing, find_moments.job.completed, find_moments.job.failed Whether the webhook is active
Response
Webhook updated successfully
Unique identifier for the webhook
Object type, always 'webhook'
Available options:
webhook Unix timestamp in milliseconds when the webhook was created
Secret used to verify the webhook request
URL of the webhook endpoint
Whether the webhook is active
Events that the webhook is subscribed to
Webhook events that can be subscribed to
Available options:
describe.job.processing, describe.job.completed, describe.job.failed, extract.job.processing, extract.job.completed, extract.job.failed, file.job.processing, file.job.completed, file.job.failed, file.job.deleted, collection.file.job.processing, collection.file.job.completed, collection.file.job.failed, collection.file.job.deleted, segment.job.processing, segment.job.completed, segment.job.failed, find_moments.job.processing, find_moments.job.completed, find_moments.job.failed Description of the webhook